Subject: Re: [PATCH] command-list.txt: remove 'sparse-index' from main help

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Oct 2021 09:10:06 -0700

SZEDER Gábor <[email-masked]> writes:

> Ever since 'git sparse-checkout' was introduced [1] it is included in
> 'git --help' in the section "work on the current change" along with
> the commands 'add', 'mv', 'restore', and 'rm'.  It clearly doesn't
> belong to that group, moreover it can't be considered such a common
> command to belong to 'git --help' in the first place, so remove it
> from there.
>
> [1] 94c0956b60 (sparse-checkout: create builtin with 'list'
>                 subcommand, 2019-11-21)
>
> Signed-off-by: SZEDER Gábor <[email-masked]>
> ---
>  command-list.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

Redirecting to Stolee just in case for an Ack.

I tend to agree that this is a housekeeping command for a local
repository to control what are and what are not materialized in the
working tree.  It does not directly affect the history produced from
there, similar to "git gc" is, so in that sense, I do not think we
would miss it in the "list of usual commands".

If I had to have it in some category, I do agree with the current
code that it belongs to the "worktree" family, though.

Thanks, will queue.

> diff --git a/command-list.txt b/command-list.txt
> index a289f09ed6..eb9cee8dee 100644
> --- a/command-list.txt
> +++ b/command-list.txt
> @@ -168,7 +168,7 @@ git-show-index                          plumbinginterrogators
>  git-show-ref                            plumbinginterrogators
>  git-sh-i18n                             purehelpers
>  git-sh-setup                            purehelpers
> -git-sparse-checkout                     mainporcelain           worktree
> +git-sparse-checkout                     mainporcelain
>  git-stash                               mainporcelain
>  git-stage                                                               complete
>  git-status                              mainporcelain           info